#!/bin/bash
# This script is called automatically during autobuild checkin.
sed -e 's/^Name:.*glibc/&-testsuite/' glibc.spec > glibc-testsuite.spec
cp glibc.changes glibc-testsuite.changes
awk '/^Name:/{ $0 = $0 "-utils" }
/UTILS-SUMMARY-BEGIN/ {
  ignore = 1
  print "\
Summary:        Development utilities from GNU C library\n\
License:        LGPL-2.1+\n\
Group:          Development/Languages/C and C++"
}
/UTILS-SUMMARY-END/ { ignore = 0 }
/^%description$/ {
  ignore = 1
  print "\
%description\n\
The glibc-utils package contains mtrace, a memory leak tracer and\n\
xtrace, a function call tracer which can be helpful during program\n\
debugging.\n\
\n\
If you are unsure if you need this, don'\''t install this package.\n"
}
/^%package/ { ignore = 0}
!ignore { print }' glibc.spec > glibc-utils.spec
cp glibc.changes glibc-utils.changes

osc service localrun format_spec_file

